Subject: Re: strlen on a NULL
From: [email-masked] (Tim Newsham)

13 May 1998 00:25:36 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Ian Collins)
Cc: [email-masked]

> If I do a strlen on a NULL pointer I get a coredump.
> I have the same code running on a few *other* Unix machines with
> exhibiting this behaviour.
> OK, so I could tidy it up, but I wondered is this an oversight or the
> correct behaviour?

This is a common behavior, and IMO, the correct behavior (if I am doing
a strlen on a null variable, I want to know about it).

                                      Tim N.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".